%define major 2.22
%define oname gnome-python-desktop
%define extras_version 2.19
Name: python-module-pygnome-desktop
Version: %major.0
Release: alt1.M41.1

Summary: Python modules for some GNOME libraries part of the GNOME Desktop

License: LGPL
Group: Development/Python
Url: http://www.pygtk.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://ftp.gnome.org/pub/GNOME/sources/%oname/%major/%oname-%version.tar.bz2

#%setup_python_module pygnome
%define bname python-module-pygnome

%define python_gnome_dir %python_sitelibdir/gtk-2.0/gnome

Requires: %bname-extras >= %extras_version

# manually removed: libgtksourceview1-devel
# Automatically added by buildreq on Thu Sep 04 2008
BuildRequires: bug-buddy evolution-data-server-devel gcc-c++ glibc-devel gnome-media-devel libgnome-desktop-devel libgnome-keyring-devel libgnome-panel-devel libgnomeprintui-devel libgtop-devel libmetacity-devel libnautilus-cd-burner-devel librsvg-devel libtotem-devel libwnck-devel python-module-pycairo-devel python-module-pygnome-devel

BuildRequires: python-module-pygtk-devel >= 2.10.0

%description
GnomePythonDesktop provides python interfacing modules for some
GNOME libraries part of the GNOME Desktop (gnomeapplet, gnomeprint,
gnomeprint.ui, gtksourceview, wnck, totem.plparser, gtop, nautilusburn,
mediaprofiles, metacity).

%package devel
Summary: files needed to build extra wrappers for GNOME libraries
Group: Development/Python
Requires: %name = %version-%release
Requires: %name-devel
Requires: %bname-extras-devel >= %extras_version

%description devel
This package contains files required to build wrappers for GNOME
libraries so that they interoperate with pygnome.

%package -n %bname-applet
Summary: Python bindings for GNOME Panel applets
Group: System/Libraries
Obsoletes: pygnome-applet
Obsoletes: gnome-python2-applet
Provides: gnome-python2-applet
Requires: %name = %version-%release

%description -n %bname-applet
This module contains a wrapper that allows GNOME Panel applets to be
written in Python.

%package -n %bname-gtkhtml2
Summary: Python bindings for interacting with gtkhtml2
Group: System/Libraries
Requires: %name = %version-%release
Obsoletes: gnome-python2-gtkhtml2
Provides: gnome-python2-gtkhtml2

%description -n %bname-gtkhtml2
This module contains a wrapper that allows the use of gtkhtml2 via Python.

%package -n %bname-gnomeprint
Summary: Python bindings for interacting with libgnomeprint
Group: System/Libraries
Requires: libgnomeprint2, libgnomeprintui
Requires: %name = %version-%release
Obsoletes: gnome-python2-gnomeprint
Provides: gnome-python2-gnomeprint

%description -n %bname-gnomeprint
This module contains a wrapper that allows the user of libgnomeprint via Python.

%package -n %bname-nautilusburn
Summary: Python bindings for interacting with nautilus burn
Group: System/Libraries
Requires: %name = %version-%release

%description -n %bname-nautilusburn
This module contains a wrapper that allows the use of nautilusburn via Python

%package -n %bname-totem
Summary: Python bindings for interacting with totem
Group: System/Libraries
Requires: %name = %version-%release

%description -n %bname-totem
This module contains a wrapper that allows the use of totem via Python

%package -n %bname-metacity
Summary: Python bindings for interacting with metacity
Group: System/Libraries
Requires: %name = %version-%release

%description -n %bname-metacity
This module contains a wrapper that allows the use of metacity via Python

%package -n %bname-evolution
Summary: Python bindings for interacting with evolution
Group: System/Libraries
Requires: %name = %version-%release

%description -n %bname-evolution
This module contains a wrapper that allows the use of evolution via Python

%prep
%setup -q -n %oname-%version

%build
%configure --enable-metacity --disable-dependency-tracking \
	--enable-evolution --enable-evolution-ecal
%make_build

%install
%makeinstall
rm -f %buildroot%python_sitelibdir/gtk-2.0/*.la
# built in separate package for compatibility
#rm -f %python_sitelibdir/gtk-2.0/gtksourceview.so

%files
%doc AUTHORS ChangeLog README NEWS
%python_sitelibdir/gtk-2.0/gtop.so
%python_sitelibdir/gtk-2.0/rsvg.so
%python_sitelibdir/gtk-2.0/gnomekeyring.so
%python_sitelibdir/gtk-2.0/mediaprofiles.so
%python_sitelibdir/gtk-2.0/bugbuddy.*
%python_sitelibdir/gtk-2.0/wnck.so
%python_sitelibdir/gtk-2.0/gnomedesktop/

%files devel
%doc examples/*
%_pkgconfigdir/*
%_datadir/gtk-doc/html/*
%_datadir/pygtk/2.0/defs/*.defs

%files -n %bname-applet
%python_gnome_dir/applet.*
%python_sitelibdir/gtk-2.0/gnomeapplet.so

%files -n %bname-gnomeprint
%python_sitelibdir/gtk-2.0/gnomeprint/

%files -n %bname-totem
%python_sitelibdir/gtk-2.0/totem/

%files -n %bname-nautilusburn
%python_sitelibdir/gtk-2.0/nautilusburn.so

%files -n %bname-metacity
%python_sitelibdir/gtk-2.0/metacity.so

%files -n %bname-evolution
%python_sitelibdir/gtk-2.0/evolution/

%changelog
* Wed Sep 17 2008 Yuri N. Sedunov <aris@altlinux.org> 2.22.0-alt1.M41.1
- backport to 4.1 branch

* Thu Sep 04 2008 Vitaly Lipatov <lav@altlinux.ru> 2.22.0-alt2
- enable build evolution module (fix bug #16648)
- update buildreq

* Wed Apr 30 2008 Vitaly Lipatov <lav@altlinux.ru> 2.22.0-alt1
- new version 2.22.0 (with rpmrb script)

* Fri Mar 21 2008 Vitaly Lipatov <lav@altlinux.ru> 2.20.0-alt1
- new version 2.20.0 (with rpmrb script)

* Mon Jan 07 2008 Vitaly Lipatov <lav@altlinux.ru> 2.20.0-alt2
- rebuild with new libtotem (fix bug #13890)
- add metacity subpackage
- update buildreq (remove libgtksourceview-devel from one)

* Fri Nov 30 2007 Vitaly Lipatov <lav@altlinux.ru> 2.20.0-alt1
- update buildreq
- remove gtksourceview subpackage

* Tue Oct 16 2007 Vitaly Lipatov <lav@altlinux.ru> 2.20.0-alt0
- new version 2.20.0 (with rpmrb script)

* Mon Sep 03 2007 Vitaly Lipatov <lav@altlinux.ru> 2.18.0-alt3
- rebuild stable version 2.18.0, update buildreq

* Tue Aug 07 2007 Vitaly Lipatov <lav@altlinux.ru> 2.19.2-alt1
- new version 2.19.2 (with rpmrb script)
- build without libwnck (wait for #12490)

* Sun Jun 24 2007 Vitaly Lipatov <lav@altlinux.ru> 2.18.0-alt2
- add libSM-devel to buildreq

* Fri Apr 06 2007 Vitaly Lipatov <lav@altlinux.ru> 2.18.0-alt1
- new version (2.18.0)
- add nautilus-burn, totem packages

* Sun Nov 19 2006 Vitaly Lipatov <lav@altlinux.ru> 2.17.1-alt0.3
- fix extras requires again

* Thu Nov 16 2006 Vitaly Lipatov <lav@altlinux.ru> 2.17.1-alt0.2
- fix extras requires

* Sat Nov 11 2006 Vitaly Lipatov <lav@altlinux.ru> 2.17.1-alt0.1
- new version 2.17.1 (with rpmrb script)
- The following modules will NOT be built:
  - totem.plparser
  - nautilusburn
  - metacity (too old -devel, needed 2.17.0)

* Sun Sep 03 2006 Vitaly Lipatov <lav@altlinux.ru> 2.15.90-alt0.1
- new version (2.15.90)
- fix version in spec
- missed wnck

* Sun May 28 2006 Vitaly Lipatov <lav@altlinux.ru> 2.15.2-alt0.1
- new version 2.15.2 (with rpmrb script)

* Tue Mar 28 2006 Vitaly Lipatov <lav@altlinux.ru> 2.13.3-alt0.2
- update buildreqs

* Tue Mar 07 2006 Vitaly Lipatov <lav@altlinux.ru> 2.13.3-alt0.1
- initial build for ALT Linux Sisyphus
- split from -gnome-extras
- disable media
